#norootforbuild
Summary:	A SWF output library
Name:		ming
Version:	0.4.0.beta5.snap20070805
Release:	2.9
License:	LGPL
Group:		System Environment/Libraries
Source:		http://prdownloads.sourceforge.net/ming/ming-%{version}.tar.bz2
URL:            http://ming.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
BuildRequires: gcc-c++ freetype2-devel zlib-devel giflib-devel libpng-devel python-devel tcl-devel swig flex bison
Patch0:       ming-nobloat.patch 
%description

Ming is a C library for generating SWF ("Flash") format movies, plus a set of wrappers for using the library from C++ and popular scripting languages like PHP, Perl, Python, and Ruby.


%package -n ming-util
Summary:    A SWF output library
Group:      Development/Libraries 
Provides:   ming:%{_bindir}/dbl2png
Obsoletes:  %{name} <= 0.4.0.beta5.snap20070526

%description -n ming-util

Ming is a C library for generating SWF ("Flash") format movies,

%package -n libming0
Summary:    A SWF output library
Group:      Development/Libraries

%description -n libming0

Ming is a C library for generating SWF ("Flash") format movies.

This package contains the shared library.


%package -n libming-devel
Summary:	A SWF output library
Group:		Development/Libraries
Requires:	libming0 = %{version} glibc-devel
Provides:   ming-devel = %{version}
Obsoletes:  ming-devel =< 0.4.0.beta5.snap20070526

%description -n  libming-devel

The ming-devel package includes the  
header files, and developer docs for the ming package.

Install ming-devel if you want to develop programs which 
will use ming.

%package -n python-ming
Summary:    Python bindings for ming
Group:      Development/Libraries
Provides:   ming-python = %{version}
Obsoletes:  ming-python =< 0.4.0.beta5.snap20070526
Requires:   python = %{py_ver}

%description -n python-ming

This package contains python bindings for ming.

%package tcl
Summary:    TCL bindings for ming
Group:      Development/Libraries
Requires:   tcl

%description tcl

This package contains TCL bindings for ming.

%prep

%setup -q
%patch0

%build

CFLAGS="%{optflags} -fno-strict-aliasing"
CXXFLAGS="%{optflags} -fno-strict-aliasing"
%if 0%{?suse_version} > 1000
CFLAGS="$CFLAGS -fstack-protector"
CXXFLAGS="$CXXFLAGS -fstack-protector"
%endif

export CFLAGS
export CXXFLAGS
#export LDFLAGS="-Wl,--as-needed"

./autogen.sh

%configure --with-pic --disable-static --disable-rpath --enable-tcl --enable-python

%{__make} %{?jobs:-j%jobs}

%install

%{__make} DESTDIR=%{buildroot} \
docdir=%{buildroot}%{_docdir}/%{name} \
    pkgconfigdir=%{_libdir}/pkgconfig \
    install

find %{buildroot} -name "*.la" -print -delete

%clean

%{__rm} -rf %{buildroot}

%post -n libming0 -p /sbin/ldconfig

%postun -n libming0 -p /sbin/ldconfig

%files -n ming-util
%defattr(-, root, root)
%doc README AUTHORS LICENSE ChangeLog 
%{_bindir}/dbl2png
%{_bindir}/gif2dbl
%{_bindir}/gif2mask
%{_bindir}/listaction
%{_bindir}/listaction_d
%{_bindir}/listfdb
%{_bindir}/listjpeg
%{_bindir}/listmp3
%{_bindir}/listswf
%{_bindir}/listswf_d
%{_bindir}/makefdb
%{_bindir}/makeswf
%{_bindir}/png2dbl
%{_bindir}/png2swf
%{_bindir}/raw2adpcm
%{_bindir}/swftocxx
%{_bindir}/swftoperl
%{_bindir}/swftophp
%{_bindir}/swftopython
%{_bindir}/swftotcl
%{_bindir}/ttftofft
%doc %{_mandir}/man1/*

%files -n libming0
%defattr(-, root, root)
%{_libdir}/libming*.so.0*

%files -n python-ming
%defattr(-, root, root)
%{py_sitedir}/*

%files -n libming-devel
%defattr(-, root, root)
%{_bindir}/ming-config
%{_includedir}/*
%{_libdir}/libming.so
%{_libdir}/pkgconfig/*
%doc %{_mandir}/man3/*

%files tcl
%defattr(-, root, root)
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/tcl
%{_libdir}/%{name}/tcl/mingc.so

%changelog
* Wed Aug  8 2007 crrodriguez@suse.de
- fix some packaging errors
* Sat Apr 14 2007 judas_iscariote@shorewall.net
- update to todays snapshot
